import { v1 as Neo4j } from "neo4j-driver";
import { IQueryOptions } from "../types/query_options.interface";
import { INeo4jSessionOptions, INeo4jTransactionalSession } from "../types/session.interface";
import { AbstractBoltSession } from "./bolt_abstract";
export declare class Neo4jBoltTransactionalSession extends AbstractBoltSession implements INeo4jTransactionalSession {
    private session;
    private options;
    private transaction;
    constructor(session: Neo4j.Session, options: INeo4jSessionOptions);
    execute(query: string, options?: IQueryOptions): Promise<any>;
    commit(): Promise<any>;
    rollback(): Promise<any>;
    isOpen(): boolean;
}
//# sourceMappingURL=bolt_transactional_session.d.ts.map